Update an Agent Configpatch https://{protocol}://{base-url}/ai/api/v1/config/agent/{agent_config_id}Update an Agent Config.Path Paramsagent_config_idstringrequiredThe ID of the Agent Config to use.Body ParamsSchema for updating an agent config.namestringnulllength ≥ 2The name of the agent.descriptionstringnullThe description of the agent.promptstringnulllength ≥ 2The prompt for the agent.llm_config_idstringnullThe ID of the LLM config associated with the agent.llm_extra_configOpenAIConfig | BedrockConfig | nullExtra configuration to pass to the LLM when instantiated. Note: This will be validated against the LLM config's config_schema.Llm Extra Config OpenAIConfig | BedrockConfig | nulltool_config_idsarray | nullThe IDs of the tool configs associated with the agent. Must be provided if parameter_bindings are provided.Tool Config Ids array | nullparameter_bindingsarray | nullExplicit parameter bindings for each tool. The order and length of this list must match tool_config_ids. If provided, tool_config_ids must also be provided.Parameter Bindings array | nullbound_tool_argsarray | nulldeprecatedDEPRECATED: Use parameter_bindings instead.Bound Tool Args array | nullpublished_statusPublishedStatus | nullThe published status of the agent.published_status PublishedStatus | nullmcp_server_config_idsarray | nullIDs of MCP server configs to assign to this agent. Replaces all existing MCP server assignments.Mcp Server Config Ids array | nullinput_json_schemaobject | nullThe input schema for the agent. Specifies the inputs that the agents require conforming to the JSON schema standard. ref: https://json-schema.org/ Note that the actual recorded input_json_schema is a combination of this provided schema and any parameters required by the tools based on parameter_bindings.Input Json Schema object | nulloutput_json_schemaobject | nullThe output schema for the agent. Specifies the output that the agents output conforming to the JSON schema standard. ref: https://json-schema.org/ If None, the agent will output a string.Output Json Schema object | nulltagsarray | nullIf provided, replaces all tags on the agent config.Tags array | nullResponses 200Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 404Resource not found. The detail field specifies which resource. 409Agent as tool name conflicts with an existing agent as tool name. Rename the agent and try again. 422Validation Error 500Internal server error during request processing.Updated 14 days ago Get an Agent ConfigDelete an Agent ConfigDid this page help you?YesNo